package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 消息主题
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum MessageTopicEnum {
    /**
     *
     */
    REPORT_YEAR_PLAN("年计划上报","TF_YWPN_PLANYEAR_W"),
    REPORT_MONTHLY_PLAN("月计划上报","TF_YWPN_PLANMOUTH_W"),
    REPORT_HIDDEN_TROUBLE("隐患上报","TF_YWPN_TROUBLE_W"),
    REPORT_HIDDEN_TROUBLE_ELIMINATION("消除隐患上报","TF_YWPN_BULIDCLEAR_W"),
    REPORT_CONSTRUCTION_SITE("工地监护上报","TF_YWPN_BUILD_W"),
    REPORT_CONSTRUCTION_SITE_ELIMINATION("工地监护消除上报","TF_YWPN_TOUBLECLEAR_W"),
    REPORT_PLAN_STOP("巡检任务申请暂停上报","TF_YWPN_PLANSTOP_W"),
    REPORT_PLAN_DISUSE("巡检任务申请作废上报","TF_YWPN_PLANCANCLE_W"),
    REPORT_REPAIR_YEAR_PLAN("抢修年计划上报","TF_YWPN_REPAIRPLANYEAR_W"),
    REPORT_REPAIR_MONTH_PLAN("抢修月计划上报","TF_YWPN_REPAIRPLAN_W"),
    REPORT_REPAIR_RECORD("抢维修处理记录上报","TF_YWPN_REPAIRRECORD_W"),
    REPORT_PLAN_MT("巡检维护记录上报","TF_YWPN_PLAN_MT_W"),
    REPORT_EMERGENCY_DIS("应急事件记录审核上报","TF_YWPN_EMERGENCY_DIS_W"),
    REPORT_EMERGENCY("应急事件派工上报","TF_YWPN_EMERGENCY_W"),

    AUDIT_YEAR_PLAN("年计划审核","TF_YWPN_PLANYEAR_W"),
    AUDIT_MONTHLY_PLAN("月计划审核","TF_YWPN_PLANMOUTH_W"),
    AUDIT_HIDDEN_TROUBLE("隐患审核","TF_YWPN_TROUBLE_W"),
    AUDIT_HIDDEN_TROUBLE_ELIMINATION("消除隐患审核","TF_YWPN_BULIDCLEAR_W"),
    AUDIT_CONSTRUCTION_SITE("工地监护审核","TF_YWPN_TROUBLE_W"),
    AUDIT_CONSTRUCTION_SITE_ELIMINATION("工地监护消除审核","TF_YWPN_TOUBLECLEAR_W"),
    AUDIT_PLAN_STOP("巡检任务申请暂停审核","TF_YWPN_PLANSTOP_W"),
    AUDIT_PLAN_DISUSE("巡检任务申请作废审核","TF_YWPN_PLANCANCLE_W"),
    AUDIT_REPAIR_YEAR_PLAN("抢维修年计划审核","TF_YWPN_REPAIRPLAN_W"),
    AUDIT_REPAIR_RECORD("抢维修处理记录审核","TF_YWPN_REPAIRRECORD_W"),
    AUDIT_PLAN_MT("巡检维护记录审核","TF_YWPN_PLAN_MT_W"),
    AUDIT_EMERGENCY_DIS("应急事件记录审核","TF_YWPN_EMERGENCY_DIS_W"),
    AUDIT_EMERGENCY("应急事件派工","TF_YWPN_EMERGENCY_W"),


    TASK_EMERGENCY_DIS("应急事件任务","TF_YWPN_EMERGENCY_DIS_W"),
    TASK_PLAN_SEND("计划任务","TF_YWPN_PLAN_W"),
    TASK_PLAN_HIDDEN_TROUBLE_SEND("隐患任务","TF_YWPN_PLAN_W"),
    TASK_CONSTRUCTION_SITE_SEND("工地监护任务","TF_YWPN_PLAN_W"),
    TASK_PLAN_MAINTENANCE_ORDER("抢维修任务","TF_YWPN_REPAIRORDER_W"),
    TASK_PLAN_REJECTED_ORDER("抢维修任务驳回上报","TF_YWPN_REPAIRORDER_W"),
    TASK_PLAN_FORWARDING_ORDER("抢维修任务转发上报","TF_YWPN_REPAIRORDER_W"),


    ;

    ;
    /**
     * 消息主题
     */
    private String topic;
    /**
     * 消息链接表名
     */
    private String tableName;


}
